Traceback (most recent call last):

File "/usr/local/lib/python3.5/dist-packages/peewee.py", line 3181, in get

return next(clone.execute())

File "/usr/local/lib/python3.5/dist-packages/peewee.py", line 2346, in next

obj = self.iterate()

File "/usr/local/lib/python3.5/dist-packages/peewee.py", line 2328, in iterate

raise StopIteration

StopIteration



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/usr/local/lib/python3.5/dist-packages/playhouse/flask_utils.py", line 48, in get_object_or_404

return query_or_model.where(*query).get()

File "/usr/local/lib/python3.5/dist-packages/peewee.py", line 3185, in get

% self.sql())

EntryDoesNotExist: Instance matching query does not exist:

SQL: SELECT "t1"."id", "t1"."title", "t1"."tags", "t1"."slug", "t1"."content", "t1"."published", "t1"."show_in_gallery", "t1"."show_in_blog", "t1"."project_info", "t1"."timestamp", "t1"."header_media" FROM "entry" AS t1 WHERE (("t1"."published" = ?) AND ("t1"."slug" = ?))

PARAMS: [True, 'showreel-2014']



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/opt/md_portfolio/app.py", line 715, in detail

entry = get_object_or_404(query, Entry.slug == slug)

File "/usr/local/lib/python3.5/dist-packages/playhouse/flask_utils.py", line 50, in get_object_or_404

abort(404)

File "/usr/local/lib/python3.5/dist-packages/werkzeug/exceptions.py", line 707, in abort

return _aborter(status, *args, **kwargs)

File "/usr/local/lib/python3.5/dist-packages/werkzeug/exceptions.py", line 687, in __call__

raise self.mapping[code](*args, **kwargs)

werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.